/*====================GENERAL STYLING====================*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html, body {
    width: 100%;
    height: 100%;
    min-width: 320px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.5;
    cursor: default;
    -webkit-text-size-adjust: none;
}
html::before {
    content: "";
    position: fixed;
    inset: 0;
    z-index: -9999;
    background-image: url("background.webp");
    background-size: cover;
}
body {
    padding: 1rem;
    padding-bottom: 0;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}
/*====================LAYOUT====================*/
main {
    display: flex;
    gap: 1rem;
    flex: 1;
}
main, header, footer, nav {
    width: 100%;
    max-width: 1000px;
}
aside {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
aside.left, aside.right {flex: 1;}
aside.mid {
    flex: 2;
    order: 2;
}
aside.left {order: 1;}
aside.right {order: 3;}
section, header, footer, nav, .glass {
    padding: 0.25rem;
    border: 1px outset #ddd;
    border-radius: 0.25rem;
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    box-shadow: 0 0 0.5rem #000;
    outline: 1px solid #000;
    background: linear-gradient(135deg, #fff7, #0000 20%), linear-gradient(45deg, #0000 80%, #fff7),
                linear-gradient(#0000, 30%, #fff7 40%, #0000 45%),
                repeating-linear-gradient(45deg, #0000 0 8rem, #fff3 10rem 18rem, #0000 20rem);
    backdrop-filter: blur(1rem);
}
article {
    border: 1px inset #777;
    background: linear-gradient(#fff, #eef);
    padding: 0.5rem;
    outline: 1px solid #ddd;
    flex: 1;
    display: flex;
    flex-direction: column;
}
.nav {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    width: 100%;
    gap: 0.25rem;
    .button {font-size: 1rem;}
}
.banner {
    background: url("banner.webp");
    background-size: cover;
    color: #fff;
    text-shadow: 0 0 0.5rem #000, 0 0 0.5rem #000;
    font-size: 6rem;
    text-align: center;
    box-shadow: inset 0 0 0.125rem #000;
    padding: 2rem 1rem 2.75rem;
    user-select: none;
    line-height: 1;
}
footer {
    padding-bottom: 0;
    border-bottom: none;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    article {
        padding-bottom: 1rem;
        p {
            font-size: 1rem;
            text-align: center;
        }
    }
}
.glass {flex: 1}
/*====================TEXT====================*/
p, ul {
    font-size: 0.75rem;
    padding: 0.25rem 0.5rem 0.5rem;
}
ul {list-style: none;}
li::before {content: "- ";}
a {
    color: #007;
    text-decoration: underline 1px;
    cursor: pointer;
}
a:hover {color: #00f;}
hr {
    border-top: 1px solid #ccf;
    margin: 0.25rem 0 0.5rem;
}
h1 {
    text-align: center;
    font-size: 2rem;
    font-weight: normal;
    color: #007;
    line-height: 1;
    padding: 0.5rem 0.25rem 0.75rem;
    margin-bottom: 0.25rem;
    border-bottom: 1px solid #ddf;
}
h2 {
    font-size: 0.625rem;
    text-shadow: 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff, 0 0 0.5rem #fff;
    font-weight: normal;
    padding: 0 0.125rem;
    position: relative;
    user-select: none;
}
h2::after {
    content: "";
    background: url("windowButton.png");
    background-size: cover;
    width: 6.25rem;
    height: 1.1875rem;
    position: absolute;
    top: calc(-0.25rem - 1px);
    right: -1px;
    box-shadow: 0 0.125rem 0.25rem #fff3;
    transition: background 0.25s;
    image-rendering: pixelated;
}
h2:hover::after {background-image: url("windowButtonHover.png");}
h3 {
    font-size: 1rem;
    font-weight: normal;
    color: #007;
    padding: 0.25rem 0.5rem 0;
    margin-bottom: -0.25rem;
}
textarea {
    resize: none;
    padding: 0.5rem;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 0.75rem;
}
/*====================BUTTONS====================*/
button {all: unset;}
.button, button {
    border-radius: 0.125rem;
    font-size: 0.75rem;
    padding: 0.25rem;
    text-align: center;
    text-decoration: none;
    color: #000;
    user-select: none;
    border: 1px solid #777;
    background: linear-gradient(#fff 50%, #ddd 55%);
    outline: 1px solid #fff;
    outline-offset: -2px;
    transition: border 0.5s, outline 0.5s, box-shadow 0.1s;
    cursor: pointer;
    box-shadow: 0 0 0.125rem #0007;
}
.button:hover, button:hover {
    background: linear-gradient(#dff 50%, #bcf 55%);
    outline: 1px solid #ddf;
    border: 1px solid #789;
}
.button:active, button:active {
    background: linear-gradient(#cee 50%, #abe 55%);
    box-shadow: inset 0 0 0.5rem #69f, 0 0 0.25rem #0007;
    outline: 1px solid #aac;
    border: 1px solid #349;
}
/*====================RESPONSIVE====================*/
@media (min-width: calc(1001px + 3rem)) {aside.mid p {text-align: justify;}}
@media (max-width: 768px) {
    html {font-size: clamp(14px, 4vmin, 18px);}
    main {flex-direction: column;}
    .nav {grid-template-columns: 1fr 1fr;}
    .banner {font-size: 5rem;}
    aside.mid {order: 1;}
    aside.left {order: 2;}
    aside.right {order: 3;}
    body {
        padding: 0.5rem;
        gap: 0.5rem;
    }
    aside {gap: 0.5rem}
}
/*====================SCROLLBARS====================*/
::-webkit-scrollbar {width: 1rem;}
::-webkit-scrollbar-track {
    background: linear-gradient(90deg, #ddd, #fff);
    cursor: default;
}
::-webkit-scrollbar-thumb {
    border: 1px solid #777;
    border-radius: 0.125rem;
    background: linear-gradient(90deg, #eee, #aaa);
    outline: 1px solid #ddd;
    outline-offset: -2px;
    transition: border 0.5s, outline 0.5s;
    cursor: default;
}
::-webkit-scrollbar-thumb:hover {
    border: 1px solid #668;
    background: linear-gradient(90deg, #cff, #9cc);
    outline: 1px solid #ccd;
}
::-webkit-scrollbar-thumb:active {
    background: linear-gradient(90deg, #def, #9ac);
    outline: 1px solid #aab;
}